<?php
/* 
Plugin Name: CustomEasy - by LCweb
Plugin URI: http://lcweb.it/
Description: Gives you a quick and cool way to insert custom Javascript and CSS in your pages
Author: Luca Montanari
Version: 1.01
Author URI: http://lcweb.it/
*/  


/////////////////////////////////////////////
/////// MAIN DEFINES ////////////////////////
/////////////////////////////////////////////

// plugin path
$wp_plugin_dir = substr(plugin_dir_path(__FILE__), 0, -1);
define('LCCE_DIR', $wp_plugin_dir );

// plugin url
$wp_plugin_url = substr(plugin_dir_url(__FILE__), 0, -1);
define('LCCE_URL', $wp_plugin_url );


//////////////////////////////////////

// METABOX - FOR SINGLE ELEMENTS
include_once(LCCE_DIR . '/metabox.php');



// GLOBAL ELEMENTS
function lcce_global_add_submenu() {	
	add_submenu_page('themes.php', 'CustomEasy', 'CustomEasy', 'edit_pages', 'customeasy_global', 'lcce_global_include');
}
add_action('admin_menu', 'lcce_global_add_submenu');

function lcce_global_include() {
	include_once(LCCE_DIR .'/global_codes.php');	
}




////////////////////////////////////
// ADD CODES INTO PAGE

// header
function lcce_head_code() {
	
	// global
	$global = get_option('lcce_global_head_code', '');
	if(!empty($global)) {
		echo $global;	
	}
	
	
	// post - specific
	if(is_page() || is_single()) {
		global $post;
		
		$head_code = get_post_meta($post->ID, 'lcce_head_code', true);
		if($head_code === false) { // retrocompatibility
			$head_code = get_post_meta($post->ID, 'jph_head_code', true);
		} 
		
		if(!empty($head_code)) {
			echo $head_code;
		}
	}
}
add_action('wp_head', 'lcce_head_code', 999);



// footer
function lcce_footer_code() {
	
	// global
	$global = get_option('lcce_global_footer_code', '');
	if(!empty($global)) {
		echo $global;	
	}
	
	
	// post - specific
	if(is_page() || is_single()) { 
		global $post;

		$footer_code = get_post_meta($post->ID, 'lcce_footer_code', true);
		if($footer_code === false) { // retrocompatibility
			$footer_code = get_post_meta($post->ID, 'jph_footer_code', true);
		}
		
		if(!empty($footer_code)) {echo $footer_code;}
	}
}
add_action('wp_footer', 'lcce_footer_code', 999);
