<?php
// ADD METABOX I ANY EDITOR 

// register
function lcce_register_metaboxes() {
	if(!current_user_can('edit_pages')) {return false;}
	
	$args = array(
		'public'	=> true,
		'show_ui'	=> true,
	);
	$cpt_obj = get_post_types($args, 'names');

	foreach($cpt_obj as $post_type) {	
		if($post_type == 'attachment') {continue;}
		add_meta_box('lcce_fields', 'CustomEasy', 'lcce_fields', $post_type, 'normal', 'low');
	}
}
add_action('admin_init', 'lcce_register_metaboxes', 999);



function lcce_fields() {
	global $post;
	
	$head_code = get_post_meta($post->ID, 'lcce_head_code', true);
	if($head_code === false) { // retrocompatibility
		$head_code = get_post_meta($post->ID, 'jph_head_code', true);
	} 
	
	$footer_code = get_post_meta($post->ID, 'lcce_footer_code', true);
	if($footer_code === false) { // retrocompatibility
		$footer_code = get_post_meta($post->ID, 'jph_footer_code', true);
	}
	?>
    
    <div>
    	<div style="margin-bottom: 7px;">
            <table class="widefat" style="border: none;">
              <tr>
                <td id="lcce_head_wrap">
                  <label style="font-size: 14px; padding-bottom: 8px;">Head code</label><br/>
                  <textarea name="lcce_head_code" id="lcce_head_code" style="width: 99%;" rows="18"><?php echo stripslashes($head_code); ?></textarea>
                </td>
              </tr>
              <tr>
                <td id="lcce_footer_wrap">
                  <label style="font-size: 14px; padding-bottom: 8px;">Footer code</label><br/>
                  <textarea name="lcce_footer_code" id="lcce_footer_code" style="width: 99%;" rows="30"><?php echo stripslashes($footer_code); ?></textarea>
                </td>
              </tr>
            </table>
        </div>
    </div>   
    
    
    <?php /*** SYNTAX HIGLINER ***/ ?>
    <style type="text/css">
	.ace_editor {
		border: 1px solid lightgray;
		margin: auto;
		height: 100px;
		width: 100%;
	}
	.scrollmargin {
		height: 80px;
        text-align: center;
	}
    </style>
    
    <script src="<?php echo LCCE_URL ?>/js/ace/src-min/ace.js" type="text/javascript"></script>
    <script type="text/javascript">
	jQuery(document).ready(function($) {
		// head code
		var head_editor = ace.edit("lcce_head_code");
		head_editor.setOptions({
			autoScrollEditorIntoView: true,
			maxLines: 1000
		});
		head_editor.session.setMode("ace/mode/html");
		head_editor.setTheme("ace/theme/tomorrow");
		head_editor.renderer.setScrollMargin(10, 10, 10, 10);
		
		// footer code
		var footer_editor = ace.edit("lcce_footer_code");
		footer_editor.setOptions({
			autoScrollEditorIntoView: true,
			maxLines: 1000
		});
		footer_editor.session.setMode("ace/mode/html");
		footer_editor.setTheme("ace/theme/tomorrow");
		footer_editor.renderer.setScrollMargin(10, 10, 10, 10);
		
		// restore textareas with new contents
		jQuery(document).on('submit', '#post', function() {
			jQuery('#lcce_head_wrap').append('<textarea name="lcce_head_code" style="display: none;">'+ head_editor.getValue() +'</textarea>');
			jQuery('#lcce_footer_wrap').append('<textarea name="lcce_footer_code" style="display: none;">'+ footer_editor.getValue() +'</textarea>');
		});
	});
	</script>
      
    <?php	
	// create a custom nonce for submit verification later
    echo '<input type="hidden" name="lcce_subj_noncename" value="' . wp_create_nonce('lcce') . '" />';
	return true;	
}


// save
function lcce_save_meta($post_id) {
	if(!current_user_can('edit_pages')) {return false;}
	
	if(isset($_POST['lcce_subj_noncename']) && wp_verify_nonce($_POST['lcce_subj_noncename'], 'lcce')) {
		
		$metas = array('lcce_head_code', 'lcce_footer_code');
		foreach($metas as $meta) {
			$val = (isset($_POST[$meta])) ? stripslashes(trim($_POST[$meta])) : false;
			
			if(empty($val)) {
				delete_post_meta($post_id, $meta);	
			} else {
				update_post_meta($post_id, $meta, $val); 
			}
		}
	}
 
    return $post_id;
}
add_action('save_post','lcce_save_meta');
